Subject: Re: bug#34468: guix pull: wrong %system when using --system flag
From: Ludovic Courtès <[email-masked]>
To: Diego Nicola Barbato <[email-masked]>
Cc: [email-masked]
Date: Sun, 17 Feb 2019 00:06:52 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Diego Nicola Barbato <[email-masked]> skribis:

> When running ‘guix pull’ with the --system flag the resulting guix is
> configured for the host architecture instead of the target
> architecture (i.e. the %system variable in ‘(guix config)’ is set to the
> host architecture instead of the target architecture).
>
> E.g. after running ‘guix pull -p test -s i686-linux’ on an x86_64 host
> the file test/share/guile/site/2.2/guix/config.scm will contain the
> declaration ‘(define-public %system "x86_64-linux")’.

Should be fixed by 54eadc42d2a5ef748a7f007516cd3d56ca17c07e.

> I run what was formerly known as GuixSD (commit: 571a01d) on x86_64.

“The system formerly know as GuixSD”, I like that phrase.  :-)

Thanks,
Ludo’.